import request from '@/utils/request'

// 查询首页图片列表
export function listMainpicture(query) {
  return request({
    url: '/system/mainpicture/list',
    method: 'get',
    params: query
  })
}

// 查询首页图片详细
export function getMainpicture(id) {
  return request({
    url: '/system/mainpicture/' + id,
    method: 'get'
  })
}

// 新增首页图片
export function addMainpicture(data) {
  return request({
    url: '/system/mainpicture',
    method: 'post',
    data: data
  })
}

// 修改首页图片
export function updateMainpicture(data) {
  return request({
    url: '/system/mainpicture',
    method: 'put',
    data: data
  })
}

// 删除首页图片
export function delMainpicture(id) {
  return request({
    url: '/system/mainpicture/' + id,
    method: 'delete'
  })
}
